

# GetLineageNode
<a name="API_GetLineageNode"></a>

Gets the data lineage node.

## Request Syntax
<a name="API_GetLineageNode_RequestSyntax"></a>

```
GET /v2/domains/domainIdentifier/lineage/nodes/identifier?timestamp=eventTimestamp HTTP/1.1
```

## URI Request Parameters
<a name="API_GetLineageNode_RequestParameters"></a>

The request uses the following URI parameters.

 ** [domainIdentifier](#API_GetLineageNode_RequestSyntax) **   <a name="datazone-GetLineageNode-request-uri-domainIdentifier"></a>
The ID of the domain in which you want to get the data lineage node.  
Pattern: `dzd[-_][a-zA-Z0-9_-]{1,36}`   
Required: Yes

 ** [eventTimestamp](#API_GetLineageNode_RequestSyntax) **   <a name="datazone-GetLineageNode-request-uri-eventTimestamp"></a>
The event time stamp for which you want to get the data lineage node.

 ** [identifier](#API_GetLineageNode_RequestSyntax) **   <a name="datazone-GetLineageNode-request-uri-identifier"></a>
The ID of the data lineage node that you want to get.  
Both, a lineage node identifier generated by Amazon DataZone and a `sourceIdentifier` of the lineage node are supported. If `sourceIdentifier` is greater than 1800 characters, you can use lineage node identifier generated by Amazon DataZone to get the node details.  
Length Constraints: Minimum length of 1. Maximum length of 2086.  
Required: Yes

## Request Body
<a name="API_GetLineageNode_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_GetLineageNode_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "createdAt": number,
   "createdBy": "string",
   "description": "string",
   "domainId": "string",
   "downstreamNodes": [ 
      { 
         "eventTimestamp": number,
         "id": "string"
      }
   ],
   "eventTimestamp": number,
   "formsOutput": [ 
      { 
         "content": "string",
         "formName": "string",
         "typeName": "string",
         "typeRevision": "string"
      }
   ],
   "id": "string",
   "name": "string",
   "sourceIdentifier": "string",
   "typeName": "string",
   "typeRevision": "string",
   "updatedAt": number,
   "updatedBy": "string",
   "upstreamNodes": [ 
      { 
         "eventTimestamp": number,
         "id": "string"
      }
   ]
}
```

## Response Elements
<a name="API_GetLineageNode_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [createdAt](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-createdAt"></a>
The timestamp at which the data lineage node was created.  
Type: Timestamp

 ** [createdBy](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-createdBy"></a>
The user who created the data lineage node.  
Type: String

 ** [description](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-description"></a>
The description of the data lineage node.  
Type: String

 ** [domainId](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-domainId"></a>
The ID of the domain where you're getting the data lineage node.  
Type: String  
Pattern: `dzd[-_][a-zA-Z0-9_-]{1,36}` 

 ** [downstreamNodes](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-downstreamNodes"></a>
The downsteam nodes of the specified data lineage node.  
Type: Array of [LineageNodeReference](API_LineageNodeReference.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 100 items.

 ** [eventTimestamp](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-eventTimestamp"></a>
The timestamp of the event described in the data lineage node.  
Type: Timestamp

 ** [formsOutput](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-formsOutput"></a>
The metadata of the specified data lineage node.  
Type: Array of [FormOutput](API_FormOutput.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 10 items.

 ** [id](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-id"></a>
The ID of the data lineage node.  
Type: String  
Pattern: `[a-zA-Z0-9_-]{1,36}` 

 ** [name](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-name"></a>
The name of the data lineage node.  
Type: String

 ** [sourceIdentifier](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-sourceIdentifier"></a>
The source identifier of the data lineage node.  
Type: String

 ** [typeName](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-typeName"></a>
The name of the type of the specified data lineage node.  
Type: String

 ** [typeRevision](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-typeRevision"></a>
The revision type of the specified data lineage node.  
Type: String  
Length Constraints: Minimum length of 1. Maximum length of 64.

 ** [updatedAt](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-updatedAt"></a>
The timestamp at which the data lineage node was updated.  
Type: Timestamp

 ** [updatedBy](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-updatedBy"></a>
The user who updated the data lineage node.  
Type: String

 ** [upstreamNodes](#API_GetLineageNode_ResponseSyntax) **   <a name="datazone-GetLineageNode-response-upstreamNodes"></a>
The upstream nodes of the specified data lineage node.  
Type: Array of [LineageNodeReference](API_LineageNodeReference.md) objects  
Array Members: Minimum number of 0 items. Maximum number of 100 items.

## Errors
<a name="API_GetLineageNode_Errors"></a>

For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** AccessDeniedException **   
You do not have sufficient access to perform this action.  
HTTP Status Code: 403

 ** InternalServerException **   
The request has failed because of an unknown error, exception or failure.  
HTTP Status Code: 500

 ** ResourceNotFoundException **   
The specified resource cannot be found.  
HTTP Status Code: 404

 ** ThrottlingException **   
The request was denied due to request throttling.  
HTTP Status Code: 429

 ** UnauthorizedException **   
You do not have permission to perform this action.  
HTTP Status Code: 401

 ** ValidationException **   
The input fails to satisfy the constraints specified by the AWS service.  
HTTP Status Code: 400

## See Also
<a name="API_GetLineageNode_SeeAlso"></a>

For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/datazone-2018-05-10/GetLineageNode) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/datazone-2018-05-10/GetLineageNode) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/datazone-2018-05-10/GetLineageNode) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/datazone-2018-05-10/GetLineageNode) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/datazone-2018-05-10/GetLineageNode) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/datazone-2018-05-10/GetLineageNode) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/datazone-2018-05-10/GetLineageNode) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/datazone-2018-05-10/GetLineageNode) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/datazone-2018-05-10/GetLineageNode) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/datazone-2018-05-10/GetLineageNode) 